import express from 'express';
import {
    createUser,
    getUsers,
    getUserById,
    updateUser,
    deleteUser,
    getPermissionsTemplate,
    getUserStats
} from '../controller/usermanagementController.js';

const router = express.Router();

router.post('/create', createUser);  //done
router.get('/all', getUsers); //done
router.get('/stats', getUserStats); //done
router.get('/permissions-template', getPermissionsTemplate);
router.get('/:id', getUserById); //done
router.put('/update/:id', updateUser); //done
router.delete('/delete/:id', deleteUser); //done

export default router;
